Subject: Re: [PATCH net-next 2/2] net: doc: add default value for neighbour parameters

From: Shan Wei <[email-masked]>
Date: Thu, 06 Dec 2012 10:58:49 +0800

Ben Hutchings said, at 2012/12/6 9:43:
>>  neigh/default/unres_qlen - INTEGER
>>  	The maximum number of packets which may be queued for each
>>  	unresolved address by other network layers.
>>  	(deprecated in linux 3.3) : use unres_qlen_bytes instead.
>> +	Prior to linux 3.3, the default value is 3 which may cause
>> +	secluded packet loss. The current default value is calculated
>           ^^^^^^^^
> I think the proper word here is 'silent'?
 
The number of lost packets is recorded in unresolved_discards
of /proc/net/stat/arp_cache. Although, arp_cache is not easy
to understand(I still don't know why we need so many rows),
We can confirm dropping event from unresolved_discards in last column.
The dropping event is not marked by absence of sound.

But for general user who using TCP/UDP or ping to sending packets
out, can't simply find the dropping reason that destination ip is unresolved.
They just doubt about the TCP/UDP or ping. So I use 'secluded' which is hidden
from general view.

My English is not good enough, if missing something, please point to me.
Thanks.

Best Regards
Shan Wei